FsImageProto.INodeSection.FileUnderConstructionFeature.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, class: FileUnderConstructionFeature, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.INodeSection.FileUnderConstructionFeature.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.FileUnderConstructionFeature.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.INodeSection.FileUnderConstructionFeature

public static final class FsImageProto.INodeSection.FileUnderConstructionFeature.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder> implements FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder

     under-construction feature for INodeFile

Protobuf type `hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeSection.FileUnderConstructionFeature`
  `build()`
  `FsImageProto.INodeSection.FileUnderConstructionFeature`
  `buildPartial()`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `clear()`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `clearClientMachine()`
  `optional string clientMachine = 2;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `clearClientName()`
  `optional string clientName = 1;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `clone()`
  `String`
  `getClientMachine()`
  `optional string clientMachine = 2;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getClientMachineBytes()`
  `optional string clientMachine = 2;`
  `String`
  `getClientName()`
  `optional string clientName = 1;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getClientNameBytes()`
  `optional string clientName = 1;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `boolean`
  `hasClientMachine()`
  `optional string clientMachine = 2;`
  `boolean`
  `hasClientName()`
  `optional string clientName = 1;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `mergeFrom(FsImageProto.INodeSection.FileUnderConstructionFeature other)`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `setClientMachine(String value)`
  `optional string clientMachine = 2;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `setClientMachineBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `optional string clientMachine = 2;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `setClientName(String value)`
  `optional string clientName = 1;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `setClientNameBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `optional string clientName = 1;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### clear

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.INodeSection.FileUnderConstructionFeature getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.INodeSection.FileUnderConstructionFeature build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.INodeSection.FileUnderConstructionFeature buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### setField

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### clearField

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### clearOneof

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### setRepeatedField

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### addRepeatedField

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder mergeFrom(FsImageProto.INodeSection.FileUnderConstructionFeature other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`
    Throws:
      `IOException`

  - ### hasClientName

    public boolean hasClientName()
    `optional string clientName = 1;`
    Specified by:
      `hasClientName` in interface `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
    Returns:
      Whether the clientName field is set.

  - ### getClientName

    public String getClientName()
    `optional string clientName = 1;`
    Specified by:
      `getClientName` in interface `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
    Returns:
      The clientName.

  - ### getClientNameBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getClientNameBytes()
    `optional string clientName = 1;`
    Specified by:
      `getClientNameBytes` in interface `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
    Returns:
      The bytes for clientName.

  - ### setClientName

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder setClientName(String value)
    `optional string clientName = 1;`
    Parameters:
      `value` - The clientName to set.
    Returns:
      This builder for chaining.

  - ### clearClientName

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder clearClientName()
    `optional string clientName = 1;`
    Returns:
      This builder for chaining.

  - ### setClientNameBytes

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder setClientNameBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `optional string clientName = 1;`
    Parameters:
      `value` - The bytes for clientName to set.
    Returns:
      This builder for chaining.

  - ### hasClientMachine

    public boolean hasClientMachine()
    `optional string clientMachine = 2;`
    Specified by:
      `hasClientMachine` in interface `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
    Returns:
      Whether the clientMachine field is set.

  - ### getClientMachine

    public String getClientMachine()
    `optional string clientMachine = 2;`
    Specified by:
      `getClientMachine` in interface `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
    Returns:
      The clientMachine.

  - ### getClientMachineBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getClientMachineBytes()
    `optional string clientMachine = 2;`
    Specified by:
      `getClientMachineBytes` in interface `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
    Returns:
      The bytes for clientMachine.

  - ### setClientMachine

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder setClientMachine(String value)
    `optional string clientMachine = 2;`
    Parameters:
      `value` - The clientMachine to set.
    Returns:
      This builder for chaining.

  - ### clearClientMachine

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder clearClientMachine()
    `optional string clientMachine = 2;`
    Returns:
      This builder for chaining.

  - ### setClientMachineBytes

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder setClientMachineBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `optional string clientMachine = 2;`
    Parameters:
      `value` - The bytes for clientMachine to set.
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final FsImageProto.INodeSection.FileUnderConstructionFeature.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.INodeSection.FileUnderConstructionFeature.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.FileUnderConstructionFeature.Builder>`